"""Archive option for custom fields

Revision ID: 22c78c4e7227
Revises: 3b3a2b5dc780
Create Date: 2022-04-19 15:12:52.102004+02:00

"""
import sqlalchemy as sa
from alembic import op
from sqlalchemy.orm import DeclarativeMeta, declarative_base

Base: DeclarativeMeta = declarative_base()

# revision identifiers, used by Alembic.
revision = "22c78c4e7227"
down_revision = "3b3a2b5dc780"
branch_labels = None
depends_on = None


class CustomField(Base):
    __tablename__ = "custom_field"
    sid = sa.Column(sa.Integer, primary_key=True, index=True)
    archived = sa.Column(sa.Boolean, default=False)


def upgrade():
    # ### commands auto generated by Alembic - please adjust! ###
    op.add_column("custom_field", sa.Column("archived", sa.Boolean(), nullable=True))

    bind = op.get_bind()
    bind.execute(sa.update(CustomField).values(archived=False))

    op.alter_column("custom_field", "archived", nullable=False)

    # ### end Alembic commands ###


def downgrade():
    # ### commands auto generated by Alembic - please adjust! ###
    op.drop_column("custom_field", "archived")
    # ### end Alembic commands ###
